# $Revision: 1.98 $, $Date: 2006/12/13 18:00:52 $
#
# Conditional build:
%bcond_without	alsa		# without ALSA support (implies without JACK)
%bcond_without	jack		# without JACK support
%bcond_without	ruby		# without ruby support
%bcond_with	arts		# with aRts support
#
Summary:	Software package for multitrack audio processing
Summary(pl):	Oprogramowanie do wielociekowego przetwarzania dwiku
Name:		ecasound
Version:	2.4.5
Release:	1
License:	GPL
Group:		Applications/Sound
Source0:	http://ecasound.seul.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	b5a4f39245e505941f26c5c2c3b80e1c
Patch0:		%{name}-link.patch
URL:		http://ecasound.seul.org/
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
%{?with_arts:BuildRequires:	arts-devel}
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6.1
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
BuildRequires:	ladspa-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel >= 1.0.12
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules >= 2.2
BuildRequires:	readline-devel >= 5.0
%if %{with ruby}
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%endif
Obsoletes:	libecasound
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ecasound is a software package designed for multitrack audio
processing. It can be used for simple tasks like audio playback,
recording and format conversions, as well as for multitrack effect
processing, mixing, recording and signal recycling. Ecasound supports
a wide range of audio inputs, outputs and effect algorithms. Several
open-source audio packages, like for instance ALSA, OSS, mpg123, lame
and MikMod, are directly supported. One of the advantages of
ecasound's chain-based design is that effects can easily be combined
both in series and in parallel. Oscillators and MIDI-CCs can be used
for controlling effect parameters. Included user-interfaces are
ecasound - a versatile console mode interface, ecawave - a Qt-based
X-interface and various command-line utils suitable for batch
processing.

%description -l pl
Ecasound jest programem do wielociekowej edycji dwiku, ktry moe
by uywany tak do prostych zada typu odtwarzanie i nagrywanie muzyki
czy te konwersji pomidzy formatami plikw muzycznych jak i do
wielociekowego nakadania efektw, miksowania (przenikania,
wyciszania), nagrywania i odzyskiwania (w domyle odszumiania lub
wyrzucania znieksztace) sygnau.

Ecasound wspiera szerok gam rde i wyj dwiku oraz algorytmw
do jego przetwarzania. Ecasound wspiera wiele wolnych (open source)
projektw, takich jak ALSA, OSS, mpg123, lame czy te MikMod. Jedn z
zalet programu ecasound jest moliwo acuchowego (szeregowego) lub
rwnolegego czenia efektw, ktre mog by kontrolowane poprzez
oscylatory lub MIDI-CC. Pakiet ten zawiera tekstowy interfejs
uytkownika oraz kilka innych narzdzi nadajcych si do przetwarzania
wsadowego. Dostpny jest take graficzny, oparty na Qt interfejs
uytkownika - ecawave.

%package devel
Summary:	Header files for ecasound libraries
Summary(pl):	Pliki nagwkowe bibliotek ecasound
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_alsa:Requires:	alsa-lib-devel}
%{?with_arts:Requires:	arts-devel}
%{?with_jack:Requires:	jack-audio-connection-kit-devel}
Requires:	libsamplerate-devel
Requires:	libsndfile-devel
Requires:	libstdc++-devel
Obsoletes:	libecasound-devel

%description devel
Header files for ecasound libraries.

%description devel -l pl
Pliki nagwkowe bibliotek ecasound.

%package static
Summary:	Static ecasound libraries
Summary(pl):	Statyczne biblioteki ecasound
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libecasound-static

%description static
Static ecasound libraries.

%description static -l pl
Statyczne biblioteki ecasound.

%package -n python-%{name}
Summary:	Python module for Ecasound
Summary(pl):	Modu jzyka Python dla programu ecasound
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-modules

%description -n python-%{name}
Python module for Ecasound.

%description -n python-%{name} -l pl
Modu jzyka Python dla programu ecasound.

%package -n ruby-%{name}
Summary:	Ruby module for Ecasound
Summary(pl):	Modu jzyka Ruby dla programu ecasound
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%{?ruby_mod_ver_requires_eq}

%description -n ruby-%{name}
Ruby module for Ecasound.

%description -n ruby-%{name} -l pl
Modu jzyka Ruby dla programu ecasound.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -D_REENTRANT %{!?debug:-DNDEBUG} -I/usr/include/ncurses"
# disable audiofile - ecasound has native support for wav and raw formats
# disable oss       - ecasound works nicely with alsa oss emulation;
#                     in case of alsa building conditional, the oss should
#                     be enabled
# disable arts      - 'not really useful' as said by ecasound author
%configure \
	%{!?with_alsa:--disable-alsa} \
	%{!?with_arts:--disable-arts} \
	--disable-audiofile \
	%{!?with_jack:--disable-jack} \
	%{?with_alsa:--disable-oss} \
	--enable-samplerate \
	--enable-shared \
	--enable-sys-readline \
	--enable-pyecasound \
	--with-largefile \
	--with-python-includes=%{py_incdir} \
	--with-python-modules=%{py_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir}

install pyecasound/*.py $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS NEWS README TODO
%attr(755,root,root) %{_bindir}/eca*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/ecasound
%{_mandir}/man1/eca*
%{_mandir}/man5/eca*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/kvutils
%{_includedir}/libecasound
%{_includedir}/libecasoundc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]

%if %{with ruby}
%files -n ruby-%{name}
%defattr(644,root,root,755)
%{ruby_sitelibdir}/ecasound.rb
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ecasound.spec,v $
Revision 1.98  2006/12/13 18:00:52  qboosh
- alsa >= 0.9.0

Revision 1.97  2006/12/13 17:42:18  qboosh
- updated to 2.4.5
- updated descs (don't mention disabled libaudiofile, s/qtecasound/ecawave/)

Revision 1.96  2006/02/02 21:36:23  qboosh
- moved ruby_mod_ver_requires_eq to proper package

Revision 1.95  2006/02/02 21:24:00  qboosh
- updated to 2.4.4

Revision 1.94  2006/01/03 17:44:31  arekm
- rel 3

Revision 1.93  2005/12/31 10:36:32  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.92  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.91  2005/12/26 23:50:12  glen
- use system ruby macros; cleanups

Revision 1.90  2005/09/17 10:22:58  arekm
- rebuild with readline 5.0

Revision 1.89  2005/08/28 20:19:23  qboosh
- updated to 2.4.3

Revision 1.88  2005/08/13 19:03:45  qboosh
- updated to 2.4.2, added URL

Revision 1.87  2005/04/24 15:57:59  qboosh
- updated to 2.4.1

Revision 1.86  2005/03/21 16:07:31  qboosh
- updated to 2.4.0

Revision 1.85  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.84  2005/01/12 14:57:19  wrobell
- allow to build without ruby support
- rel. 3

Revision 1.83  2004/12/23 20:58:46  saq
- release 2 for rebuild with python 2.4

Revision 1.82  2004/12/22 21:11:36  qboosh
- updated to 2.3.5
- now jack is available without alsa

Revision 1.81  2004/12/22 19:45:15  qboosh
- more -devel deps

Revision 1.80  2004/11/06 23:10:58  qboosh
- updated to 2.3.4, updated link patch

Revision 1.79  2004/08/21 23:59:07  ankry
- rel. 2

Revision 1.78  2004/07/28 08:03:13  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.77  2003/12/07 01:34:41  qboosh
- ruby- and python- require base

Revision 1.76  2003/12/07 01:27:38  qboosh
- updated to 2.3.2
- updated link patch, added ruby- package

Revision 1.75  2003/11/20 21:16:10  qboosh
- updated to 2.3.1, updated link patch

Revision 1.74  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.73  2003/09/07 13:33:53  qboosh
- 2.3.0, updated link patch
- new bconds: arts (default off), jack (default on)
- -devel R: libsamplerate-devel, libstdc++-devel

Revision 1.72  2003/08/27 00:16:32  gotar
- fixed changelog trailer

Revision 1.71  2003/07/08 17:20:57  blues
- next part of small fixes inpired by kloczek :)

Revision 1.70  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.69  2003/05/25 05:47:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.68  2003/05/11 00:13:39  qboosh
- removed R: lame,mpg123 - they are optional, only for mp3 I/O
- added libsamplerate support for higher quality resampling
- release 1 (forgot to reset previously)

Revision 1.67  2003/05/10 20:13:51  qboosh
- updated to 2.2.3, updated link patch
- BR: ladspa-devel (system-installed LADSPA header is preferred over included
  one, so forced to always use the same file)

Revision 1.66  2003/02/15 12:38:23  qboosh
- updated link patch:
  - libecasoundc doesn't need -lecasound now, but libecasound need -lkvutils
  - only ecasound program needs -lreadline -lhistory, libecasound not
  - remove "-static" - don't link statically with libstdc++
- shared libraries are back (in main package) - needed by ecasound program
- added -devel and -static; now libecasoundc provides interface to ecasound
  program, so probably perl and pecl interfaces could be resurrected?

Revision 1.65  2003/02/10 14:00:37  qboosh
- fixed Obsoletes

Revision 1.64  2003/02/07 09:08:41  ankry
- obsoletes for libecasound and dependend packages
- rel. 2

Revision 1.63  2003/02/05 17:38:00  wrobell
- fixed libtool build requirements after reading changelog for spec's
  version 1.54.2.7

Revision 1.62  2003/02/05 17:35:28  wrobell
- soften build requirements for libtool

Revision 1.61  2003/02/05 12:40:37  wrobell
- merged from DEVEL

Revision 1.60  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.59  2002/10/24 10:31:08  kloczek
- removed added by mistake -fno-rtti from CXXFLAGS.

Revision 1.58  2002/10/24 10:30:14  kloczek
- release 4: fixed http://bugs.pld.org.pl/index.php?bug=400
  more fixes in ac_fix patch (added missing [] quotes).

Revision 1.57  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.56  2002/09/20 11:33:31  ankry
- one more patch

Revision 1.55  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.54.2.10  2003/01/17 11:46:41  wrobell
- ver. 2.2.0

Revision 1.54.2.9  2002/11/05 14:52:47  wrobell
- ver. 2.2.0pre4
- removed libecasound* and plugins subpackages

Revision 1.54.2.8  2002/10/25 13:11:12  wrobell
- ver. 2.2.0-pre3
- s/plugins/plugin/
- nfy

Revision 1.54.2.7  2002/08/04 19:22:38  qboosh
- fixed doc
- libtool 1.4d is needed to correctly link libraries (with -lstdc++)
- link patch: link libecasounc with libecasound8
- release 2

Revision 1.54.2.6  2002/07/05 21:02:31  qboosh
- note about _without_arts

Revision 1.54.2.5  2002/07/03 14:13:03  wrobell
- ver. 2.1dev10
- fixed python subpackage requirements

Revision 1.54.2.4  2002/06/16 20:48:05  qboosh
- installfix patch - don't try to install the same files twice (by one command)
- working _without_{alsa,arts}

Revision 1.54.2.3  2002/06/11 15:20:03  wrobell
- plugins splitted into subpackages
- added some docs
- minor clean ups
- rel. 2

Revision 1.54.2.2  2002/06/10 21:57:58  wrobell
- fixed file list

Revision 1.54.2.1  2002/06/09 07:50:30  wrobell
- 2.1dev9

Revision 1.54  2002/05/21 23:12:58  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.53  2002/04/25 16:14:14  arturs
- fixed a small typo

Revision 1.52  2002/04/11 14:01:05  wrobell
- rel. 3, stb

Revision 1.51  2002/04/11 13:45:32  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.50  2002/04/02 18:36:15  kloczek
- removed using %{__install} macro.

Revision 1.49  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.48  2002/03/18 07:00:36  wrobell
- libecasound package group changed to Libraries and python-ecasound
  group changed to Libraries/Python
- rel. 2
- stb

Revision 1.47  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/02/09 14:04:19  qboosh
- BuildRequires: python-modules (because of compileall.py*)

Revision 1.44  2002/02/04 07:23:27  kloczek
- more fixes in %files.

Revision 1.43  2002/02/04 06:20:23  kloczek
- fixed %files list in python subpackage.

Revision 1.42  2002/02/04 05:32:37  kloczek
- updated to 2.1.0 (new stable version),
- rebuild against python 2.2.

Revision 1.41  2002/01/18 02:12:47  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.40  2001/11/24 01:33:07  kloczek
- :!sort BuildRequires rules.

Revision 1.39  2001/11/12 14:58:04  wrobell
- use standard python macros

Revision 1.38  2001/10/02 00:18:16  kloczek
- updated to 2.0.3.

Revision 1.37  2001/09/10 22:22:52  kloczek
- added am15 patch for allow use automae 1.5 on regenerate am files.

Revision 1.36  2001/08/23 12:38:04  wrobell
- rebuilded with python 2.1.1
- rel. 2, stb.

Revision 1.35  2001/08/17 18:25:08  kloczek
- spec adapterized.

Revision 1.34  2001/08/17 16:26:31  wrobell
- ver. 2.0.2

Revision 1.33  2001/07/31 16:48:45  qboosh
- BuildRequires: libstdc++-devel
- fixed python stuff in %install and %files
- base package Requires: libecasound

Revision 1.32  2001/06/29 08:49:28  wrobell
- up to 2.0.1
- fixed requires and buildrequires
- libtoolize only on sparc and sparc64 architectures
- fixed python subpackage file list, stb

Revision 1.31  2001/04/23 08:59:54  kloczek
- typo.

Revision 1.30  2001/04/23 01:12:09  kloczek
- strange - is it impossible use "-" in macro name ?

Revision 1.29  2001/04/23 00:01:18  kloczek
- more fixes in python related %files lists.

Revision 1.28  2001/04/22 23:57:50  kloczek
- added %python_lib-dynloadir macro.

Revision 1.27  2001/04/22 23:24:27  kloczek
- make %{_libdir}/python2.0/site-packages missing directoty in %install.

Revision 1.26  2001/04/22 23:04:05  kloczek
- finaly fixed compilation against readline 4.2 (added realine patch).

Revision 1.25  2001/04/21 09:50:44  misiek
- use new libtool scripts to fix compilation on sparc

Revision 1.24  2001/04/21 08:28:21  kloczek
- release 3,
- rebuild against readline 4.2,
- added ac_fix patch - now passing $RPM_OPT_FALAGS to C++ compile options
  works correctly.

Revision 1.23  2001/03/01 05:55:51  kloczek
- added am_fix patch (fix for building in automake 1.4d enviroment).

Revision 1.22  2001/03/01 05:40:19  kloczek
- release 2,
- rebuild against new audiofile,
- BuildRequires for alsa-lib-devel disabled on sparc.

Revision 1.21  2001/02/09 20:21:00  kloczek
- fixed %build: regenerate all autoconf/aumake files for allow build in
  automake 1.4b enviroment.

Revision 1.20  2001/02/09 16:53:35  wrobell
- up to 1.9dev1

Revision 1.19  2000/12/27 22:29:01  kloczek
- adapterized.

Revision 1.18  2000/12/27 21:10:45  wrobell
- up to 1.8.5d15
- udpated file list
- python subpackage

Revision 1.17  2000/11/12 18:20:14  wrobell
- up to 1.8.4d15

Revision 1.16  2000/10/01 15:48:50  wrobell
- updated file list of ecasound package
- added plugins subpakcage
- updated buildrequires
- added patch for linking plugins without version info

Revision 1.15  2000/09/19 17:21:35  kloczek
- adapterized.

Revision 1.14  2000/09/19 16:25:31  wrobell
- up to 1.8.2r14
- qt stuff is distributed separetely now

Revision 1.13  2000/07/28 10:37:42  kloczek
- release 4.

Revision 1.12  2000/07/28 09:13:03  mis
- typo

Revision 1.11  2000/07/26 09:41:49  wrobell
- finished Polish translation for ecasound package

Revision 1.10  2000/07/13 23:07:14  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.9  2000/07/13 20:38:52  baggins
- release 2

Revision 1.8  2000/07/03 19:38:34  kloczek
- fixed missing $RPM_BUILD_ROOT on stripping libraries.

Revision 1.7  2000/07/03 18:32:13  kloczek
- added static subpackages,
- fixed resources separiation between devel and main libraries subpackages,
- added stripping shared libraries,
- run /sbin/ldconfig in %pos/%postun for packages with shared libraries,
- added missing Requires rules between main libraris packages and devel
  subpackages,

Revision 1.6  2000/07/03 17:10:29  kloczek
- adapterized.

Revision 1.5  2000/07/03 16:20:15  wrobell
- partial polish description translation

Revision 1.4  2000/07/03 13:50:37  wrobell
- up to 1.8.0d14
- changed ecasound description

Revision 1.3  2000/06/22 09:18:03  wrobell
- typo

Revision 1.2  2000/06/21 19:25:17  kloczek
- spec adapterized,
- rewrited %build,
- NFY (not finished yet).

Revision 1.1  2000/06/19 17:35:29  wrobell
- raw version
